SDO_DAS_XML::create
SDO_DAS_XML::createDocument
SDO DAS XML Functions
PHP Manual

# SDO_DAS_XML::createDataObject

(^)

SDO_DAS_XML::createDataObject — Creates SDO_DataObject for a given namespace URI and type name

### Description

SDO_DataObject SDO_DAS_XML::createDataObject ( string `$namespace_uri` , string `$type_name` )

Creates SDO_DataObject for a given namespace URI and type name. The type should be defined in the underlying model otherwise SDO_TypeNotFoundException will be thrown.

### Parameters

`namespace_uri`

  Namespace URI of the type name.

`type_name`

  Type Name.

### Return Values

Returns SDO_DataObject on success.

### Errors/Exceptions

`SDO_TypeNotFoundException`

  Thrown if a type is not defined in the underlying model.

SDO_DAS_XML::create
SDO_DAS_XML::createDocument
SDO DAS XML Functions
PHP Manual